## org.biojava.bio.program.ssbind
Class SeqSimilarityAdapter

    java.lang.Object
      org.biojava.bio.program.ssbind.SeqSimilarityAdapter

All Implemented Interfaces:
  ContentHandler

    public class SeqSimilarityAdapter

extends Object
implements ContentHandler

A `SeqSimilarityAdapter` converts SAX events into method calls on a `SearchContentHandler` implementation. The SAX events should describe elements conforming to the BioJava BlastLikeDataSetCollection DTD. A `BlastLikeSearchBuilder` is supplied, implementing the `SearchContentHandler` interface, which will create `SeqSimilaritySearchResult`s from the stream.

Since:
  1.2
Author:
  Keith James

Constructor Summary
`SeqSimilarityAdapter()`

Method Summary
`void` `characters(char[] ch, int start, int end)`
`void` `endDocument()`
`void` `endElement(String nsURI, String localName, String qName)`
`void` `endPrefixMapping(String prefix)`
`SearchContentHandler` `getSearchContentHandler()` `getSearchContentHandler` gets the handler which will recieve the method calls generated by the adapter.
`void` `ignorableWhitespace(char[] ch, int start, int end)`
`void` `processingInstruction(String target, String data)`
`void` `setDocumentLocator(Locator locator)`
`void` `setSearchContentHandler(SearchContentHandler scHandler)` `setSearchContentHandler` sets the handler which will recieve the method calls generated by the adapter.
`void` `skippedEntity(String name)`
`void` `startDocument()`
`void` `startElement(String nsURI, String localName, String qName, Attributes attrs)`
`void` `startPrefixMapping(String prefix, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeqSimilarityAdapter

    public SeqSimilarityAdapter()

Method Detail

### getSearchContentHandler

    public SearchContentHandler getSearchContentHandler()

  `getSearchContentHandler` gets the handler which will recieve the method calls generated by the adapter.

  Returns:
    a `SearchContentHandler`.

### setSearchContentHandler

    public void setSearchContentHandler(SearchContentHandler scHandler)

  `setSearchContentHandler` sets the handler which will recieve the method calls generated by the adapter.

  Parameters:
    `scHandler` - a `SearchContentHandler`.

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int end)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int end)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Throws:
    `SAXException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String nsURI,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Throws:
    `SAXException`